import React from 'react';
import { SelectProps, SelectOption } from './BaseSelect/types';
declare function BackwardCompatibleSelectWithRef<T extends SelectOption>({ className, listClassName, closeOnSelect, disabled, variant, selectAllLabel, metadata, multiple, onSearchChange, onSelect, onListVisibilityChange, options, emptyStateLabel, renderEmptyState, renderTrigger, optionType, searchable, searchAutofocus, searchInitialValue, searchNoResultsLabel, searchPlaceholder, selectedOptions, minOptionsToDisplaySearch, triggerLabel, outline, autoFocus, triggerId, creatableOptions, isClearable, highlightedText, isLoading, submitOptions, enableFlowTriggers, enableNewSearchInput, limitTwoRows, }: SelectProps<T>, ref: React.Ref<HTMLDivElement>): JSX.Element;
declare namespace BackwardCompatibleSelectWithRef {
    var displayName: string;
}
/**
 * According to this article: https://fettblog.eu/typescript-react-generic-forward-refs/
 */
declare const BackwardCompatibleSelect: <T extends SelectOption>(props: SelectProps<T> & {
    ref?: React.Ref<HTMLDivElement> | undefined;
}) => ReturnType<typeof BackwardCompatibleSelectWithRef>;
export default BackwardCompatibleSelect;
