import React, { Ref } from 'react';
import { SelectOption, SelectOptionType } from '../../types';
export declare type OptionProps<T extends SelectOption> = {
    disabled?: boolean;
    highlightedText: string;
    onSelect: (data: T) => void;
    onKeyDown?: (e: React.KeyboardEvent<HTMLLIElement>) => void;
    option: T;
    optionStyle: 'checkmark' | 'checkbox';
    optionType: SelectOptionType;
    selected: boolean;
    className?: string;
    optionRef?: Ref<HTMLLIElement>;
};
declare const Option: {
    <T extends SelectOption>({ disabled, highlightedText, onSelect, onKeyDown, option, optionStyle, optionType, selected, className, optionRef, }: OptionProps<T>): JSX.Element;
    displayName: string;
};
export default Option;
