import React from 'react';
import { SelectOption, SelectVariant } from '../types';
import PopoverContent from './PopoverContent';
import PopoverTrigger from './PopoverTrigger';
declare const Popover: React.ForwardRefExoticComponent<{
    /**
     * Class name to apply to the element
     */
    className?: string | undefined;
    /**
     * `inline` when used outside forms and `full-width` when used inside forms.
     */
    variant?: SelectVariant | undefined;
    /**
     * Gets called whenever the visibility of the select's list has changed
     */
    onListVisibilityChange?: ((visible: boolean) => void) | undefined;
    /**
     * List of objects of generic type `T` extending `SelectOption`
     */
    options?: SelectOption[] | undefined;
    /** Display the loading state of the list. */
    isLoading?: boolean | undefined;
    /** Property for manually toggling Popover visibility */
    isVisible?: boolean | undefined;
} & {
    metadata?: import("@highlight-ui/utils-commons").ComponentMetadata | undefined;
} & {
    children?: React.ReactNode;
} & React.RefAttributes<HTMLDivElement>> & {
    Trigger: typeof PopoverTrigger;
    Content: typeof PopoverContent;
};
export default Popover;
