import { PropsWithChildren } from 'react';
import { ListBoxProps } from '../ListBox';
import { OptionGroupProps } from '../ListBox/components/OptionGroup';
import { SelectOption } from '../types';
export declare type SelectListBoxProps<T> = PropsWithChildren<Pick<ListBoxProps<T>, 'searchable' | 'highlightedText'>>;
declare const SelectListBox: {
    <T extends SelectOption>({ children, ...props }: SelectListBoxProps<T>): JSX.Element;
    displayName: string;
    Option: {
        <T_1 extends SelectOption>({ children, className, ...props }: import("./SelectListBoxOption").SelectListBoxOptionProps<T_1>): JSX.Element | null;
        displayName: string;
    };
    OptionGroup: ({ name, children }: OptionGroupProps) => JSX.Element;
    SelectAllOption: ({ label, ...passedProps }: import("../ListBox/components/SelectAllOption").SelectAllOptionProps) => JSX.Element;
};
export default SelectListBox;
