import React, { PropsWithChildren } from 'react';
import { PropsWithMetadata } from '@highlight-ui/utils-commons';
import { SelectVariant } from '../types';
export declare type SelectPopoverProps = PropsWithChildren<PropsWithMetadata<{
    /**
     * Class name to apply to the element
     */
    className?: string;
    /**
     * `inline` when used outside forms and `full-width` when used inside forms.
     */
    variant?: SelectVariant;
    /**
     * Gets called whenever the visibility of the select's list has changed
     */
    onListVisibilityChange?: (visible: boolean) => void;
}>>;
declare const SelectPopover: React.ForwardRefExoticComponent<{
    /**
     * Class name to apply to the element
     */
    className?: string | undefined;
    /**
     * `inline` when used outside forms and `full-width` when used inside forms.
     */
    variant?: SelectVariant | undefined;
    /**
     * Gets called whenever the visibility of the select's list has changed
     */
    onListVisibilityChange?: ((visible: boolean) => void) | undefined;
} & {
    metadata?: import("@highlight-ui/utils-commons").ComponentMetadata | undefined;
} & {
    children?: React.ReactNode;
} & React.RefAttributes<HTMLDivElement>>;
export default SelectPopover;
