import React, { PropsWithChildren } from 'react';
import { SelectOption } from './types';
export declare const MIN_OPTIONS_TO_DISPLAY_SELECT_ALL = 7.5;
declare type GetSelectedValueParams<T extends SelectOption> = {
    multiple: boolean;
    option: T;
    selectedOptions: T[];
    selectedOptionsWithValuesOnly: Array<string | number>;
};
export declare const searchSubstring: (string?: string, substring?: string) => number;
export declare function getSelectedValues<T extends SelectOption>({ multiple, option, selectedOptions, selectedOptionsWithValuesOnly, }: GetSelectedValueParams<T>): T[];
/**
 * Returns options that are pre-selected and disabled.
 * @param allOptions
 * @param preSelectedOptions
 */
export declare function getFixedOptions<T extends SelectOption>(allOptions: T[], preSelectedOptions: T[]): T[];
/**
 * Returns a list of option that are fixed and are enabled
 * @param options
 * @param preSelectedOptions
 */
export declare function getAllSelectableOptions<T extends SelectOption>(options: T[], preSelectedOptions: T[]): T[];
declare type ApplyRecursiveCallback<P> = (child: React.ReactElement<PropsWithChildren<P>>) => void;
export declare function applyProps<P>(children: React.ReactNode, cb: ApplyRecursiveCallback<P>): React.ReactNode;
declare type ExtractPropsPredicate = (child: React.ReactElement) => boolean;
export declare function extractProps<P>(children: React.ReactNode, predicate: ExtractPropsPredicate): Array<P>;
export {};
