import React, { ReactNode } from 'react';
import { SelectProps, SelectOption } from './BaseSelect/types';
import { SelectListBoxOptionProps } from './BaseSelect/Wrappers';
export declare type BasicSelectProps<T extends SelectOption> = Pick<SelectProps<T>, 'className' | 'listClassName' | 'disabled' | 'variant' | 'metadata' | 'emptyStateLabel' | 'triggerLabel' | 'autoFocus' | 'multiple' | 'isClearable'> & {
    children: ReactNode;
    selectedOption: T | null;
    onSelect(value: T | null): void;
};
declare const BasicSelect: {
    <T extends SelectOption>({ className, listClassName, disabled, variant, metadata, onSelect, emptyStateLabel, selectedOption, triggerLabel, autoFocus, children, }: BasicSelectProps<T>, ref: React.Ref<HTMLDivElement>): JSX.Element;
    Option: React.FC<Pick<SelectListBoxOptionProps<SelectOption>, "value">>;
    OptionGroup: ({ name, children }: import("./BaseSelect/ListBox/components/OptionGroup").OptionGroupProps) => JSX.Element;
};
export default BasicSelect;
